## org.eclipse.datatools.connectivity.ui.actions
Class SaveOfflineAction

    java.lang.Object
      BaseSelectionListenerAction
          org.eclipse.datatools.connectivity.ui.actions.SaveOfflineAction

    public class SaveOfflineAction

extends BaseSelectionListenerAction

Constructor Summary
`SaveOfflineAction()`

Method Summary
`void` `dispose()`
`void` `init(IAction action)`
`void` `run()`
`void` `run(IAction action)`
`void` `runWithEvent(IAction action, Event event)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`
`void` `setSelectionProvider(ISelectionProvider selectionProvider)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveOfflineAction

    public SaveOfflineAction()

Method Detail

### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

### setSelectionProvider

    public void setSelectionProvider(ISelectionProvider selectionProvider)

### run

    public void run()

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### dispose

    public void dispose()

### init

    public void init(IAction action)

### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.